package domain

type AlibabaHmMarketingItempoolAddcategoryMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *string `json:"data,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolAddcategoryMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolAddcategoryMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAddcategoryMarketResult) SetData(v string) *AlibabaHmMarketingItempoolAddcategoryMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAddcategoryMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolAddcategoryMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAddcategoryMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolAddcategoryMarketResult {
	s.Success = &v
	return s
}
